<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:15 CET 2009 -->
<TITLE>
Uses of Class ch.javasoft.xml.config.XmlConfigException
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Class ch.javasoft.xml.config.XmlConfigException";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/xml/config/class-use/XmlConfigException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="XmlConfigException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>ch.javasoft.xml.config.XmlConfigException</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj"><B>ch.javasoft.metabolic.efm.adj</B></A></TD>
<TD>The <tt>adj</tt> package and subpackages contain classes implementing different
strategies for the enumeration of adjacent modes.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.config"><B>ch.javasoft.metabolic.efm.config</B></A></TD>
<TD>The <tt>config</tt> subpackage provides interfaces suited to control (configure)
the EFM computation process.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.generate"><B>ch.javasoft.metabolic.generate</B></A></TD>
<TD>The <tt>generate</tt> package contains classes supporting the generation of
different output formats for metabolic networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.parse"><B>ch.javasoft.metabolic.parse</B></A></TD>
<TD>The <tt>parse</tt> package and subpackages contain classes implementing 
parsers for different source formats used for metabolic networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.polco.adapter"><B>ch.javasoft.polco.adapter</B></A></TD>
<TD>The <tt>polco.adapter</tt> package contains the 
<A HREF="../../../../../ch/javasoft/polco/adapter/PolcoAdapter.html" title="class in ch.javasoft.polco.adapter"><CODE>PolcoAdapter</CODE></A> class acting as an
interface to the <A HREF="../../../../../ch/javasoft/polco/main/Polco.html" title="class in ch.javasoft.polco.main"><CODE>polco</CODE></A> program 
if it is used as a library from another Java program.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.polco.config"><B>ch.javasoft.polco.config</B></A></TD>
<TD>The <tt>polco.config</tt> package contains classes associated with the XML
configuration file used to control runtime options of the polco program.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.polco.main"><B>ch.javasoft.polco.main</B></A></TD>
<TD>The <tt>polco.main</tt> package contains the 
<A HREF="../../../../../ch/javasoft/polco/main/Polco.html" title="class in ch.javasoft.polco.main"><CODE>Polco</CODE></A> program with the 
<A HREF="../../../../../ch/javasoft/polco/main/Polco.html#main(java.lang.String[])"><CODE>main</CODE></A> method to start it from
the command line.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.xml.config"><B>ch.javasoft.xml.config</B></A></TD>
<TD>The <tt>xml.config</tt> package contains classes to handle xml-based 
configuration files.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> in <A HREF="../../../../../ch/javasoft/metabolic/efm/adj/package-summary.html">ch.javasoft.metabolic.efm.adj</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/metabolic/efm/adj/package-summary.html">ch.javasoft.metabolic.efm.adj</A> that throw <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/adj/AdjMethodFactory.html#AdjMethodFactory(ch.javasoft.metabolic.efm.config.Config)">AdjMethodFactory</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.config"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> in <A HREF="../../../../../ch/javasoft/metabolic/efm/config/package-summary.html">ch.javasoft.metabolic.efm.config</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/efm/config/package-summary.html">ch.javasoft.metabolic.efm.config</A> that throw <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#getAttributeValue(org.dom4j.Element, ch.javasoft.metabolic.efm.config.XmlElement, ch.javasoft.metabolic.efm.config.XmlAttribute)">getAttributeValue</A></B>(org.dom4j.Element&nbsp;efmImplConfig,
                                   <A HREF="../../../../../ch/javasoft/metabolic/efm/config/XmlElement.html" title="enum in ch.javasoft.metabolic.efm.config">XmlElement</A>&nbsp;element,
                                   <A HREF="../../../../../ch/javasoft/metabolic/efm/config/XmlAttribute.html" title="enum in ch.javasoft.metabolic.efm.config">XmlAttribute</A>&nbsp;attribute)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#getConfigEfmImpl(ch.javasoft.xml.config.XmlConfig)">getConfigEfmImpl</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#getConfigEfmImplConfig(ch.javasoft.xml.config.XmlConfig)">getConfigEfmImplConfig</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#getConfigEfmOutput(ch.javasoft.xml.config.XmlConfig)">getConfigEfmOutput</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#getConfigMetabolicCompression(ch.javasoft.xml.config.XmlConfig)">getConfigMetabolicCompression</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#getConfigMetabolicEfm(ch.javasoft.xml.config.XmlConfig)">getConfigMetabolicEfm</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/ElementaryFluxModes.Impl.html" title="interface in ch.javasoft.metabolic.efm">ElementaryFluxModes.Impl</A></CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#getEfmImpl(ch.javasoft.xml.config.XmlConfig, org.dom4j.Element)">getEfmImpl</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config,
                     org.dom4j.Element&nbsp;efmImplConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the ElementaryFluxMode implementation as configured in the
 given xml config</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A></CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#getFromXmlConfig(ch.javasoft.xml.config.XmlConfig)">getFromXmlConfig</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Derives the configuration from the xml file stored in the system 
 properties.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Normalize.html" title="enum in ch.javasoft.metabolic.efm.config">Normalize</A></CODE></FONT></TD>
<TD><CODE><B>Normalize.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Normalize.html#parse(org.dom4j.Attribute)">parse</A></B>(org.dom4j.Attribute&nbsp;attribute)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse a norm string and return the appropriate constant, or throw
 an exception if not recognized as such.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Generator.html" title="enum in ch.javasoft.metabolic.efm.config">Generator</A></CODE></FONT></TD>
<TD><CODE><B>Generator.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Generator.html#parse(org.dom4j.Attribute)">parse</A></B>(org.dom4j.Attribute&nbsp;attribute)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B>Arithmetic.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html#parse(org.dom4j.Attribute)">parse</A></B>(org.dom4j.Attribute&nbsp;attribute)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>XmlElement.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/XmlElement.html#parsePrecision(org.dom4j.Attribute)">parsePrecision</A></B>(org.dom4j.Attribute&nbsp;attribute)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;double</CODE></FONT></TD>
<TD><CODE><B>XmlElement.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/XmlElement.html#parseZero(org.dom4j.Attribute)">parseZero</A></B>(org.dom4j.Attribute&nbsp;attribute)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#printHelp(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)">printHelp</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                   <A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#printUsage(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)">printUsage</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                     <A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#printVersion(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)">printVersion</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                         <A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B>Config.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#resolveXmlConfig(java.lang.String[])">resolveXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Same as <A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html#parseXmlConfig(java.lang.String[])"><CODE>Config.parseXmlConfig(String[])</CODE></A>, but resolving is forced, and
 potential resolve errors are displayed on the system error stream.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/metabolic/efm/config/package-summary.html">ch.javasoft.metabolic.efm.config</A> that throw <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/DistributedConfig.html#DistributedConfig()">DistributedConfig</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/config/DistributedConfig.html#DistributedConfig(org.dom4j.Element)">DistributedConfig</A></B>(org.dom4j.Element&nbsp;elDistribute)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for <code>DistributedConfig</code> with xml configuration.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.generate"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> in <A HREF="../../../../../ch/javasoft/metabolic/generate/package-summary.html">ch.javasoft.metabolic.generate</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/generate/package-summary.html">ch.javasoft.metabolic.generate</A> that throw <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConfiguredGenerator.</B><B><A HREF="../../../../../ch/javasoft/metabolic/generate/ConfiguredGenerator.html#generate(org.dom4j.Element, ch.javasoft.metabolic.MetabolicNetwork)">generate</A></B>(org.dom4j.Element&nbsp;metabolicParseElement,
                 <A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;net)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConfiguredGenerator.</B><B><A HREF="../../../../../ch/javasoft/metabolic/generate/ConfiguredGenerator.html#generateConfig(org.dom4j.Element, ch.javasoft.metabolic.MetabolicNetwork)">generateConfig</A></B>(org.dom4j.Element&nbsp;parentElement,
                             <A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;net)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.parse"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> in <A HREF="../../../../../ch/javasoft/metabolic/parse/package-summary.html">ch.javasoft.metabolic.parse</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/parse/package-summary.html">ch.javasoft.metabolic.parse</A> that throw <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A></CODE></FONT></TD>
<TD><CODE><B>ConfiguredParser.</B><B><A HREF="../../../../../ch/javasoft/metabolic/parse/ConfiguredParser.html#parse(org.dom4j.Element)">parse</A></B>(org.dom4j.Element&nbsp;metabolicParseElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A></CODE></FONT></TD>
<TD><CODE><B>ConfiguredParser.</B><B><A HREF="../../../../../ch/javasoft/metabolic/parse/ConfiguredParser.html#parseConfig(org.dom4j.Element)">parseConfig</A></B>(org.dom4j.Element&nbsp;parentElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.polco.adapter"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> in <A HREF="../../../../../ch/javasoft/polco/adapter/package-summary.html">ch.javasoft.polco.adapter</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/polco/adapter/package-summary.html">ch.javasoft.polco.adapter</A> that throw <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/polco/adapter/PolcoAdapter.html#PolcoAdapter()">PolcoAdapter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new polco adapter instance using default options.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/polco/adapter/PolcoAdapter.html#PolcoAdapter(ch.javasoft.polco.adapter.Options)">PolcoAdapter</A></B>(<A HREF="../../../../../ch/javasoft/polco/adapter/Options.html" title="class in ch.javasoft.polco.adapter">Options</A>&nbsp;options)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new polco adapter instance using the specified options.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.polco.config"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> in <A HREF="../../../../../ch/javasoft/polco/config/package-summary.html">ch.javasoft.polco.config</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/polco/config/package-summary.html">ch.javasoft.polco.config</A> that throw <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getArithmetic(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getArithmetic</A></B>(org.dom4j.Document&nbsp;xmlConfig,
                           <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B>Phase.</B><B><A HREF="../../../../../ch/javasoft/polco/config/Phase.html#getArithmetic(org.dom4j.Element)">getArithmetic</A></B>(org.dom4j.Element&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the <A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config"><CODE>Arithmetic</CODE></A> instance associated with the <code>this</code>
 phase, taken from the specified config.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getArithmetic(org.dom4j.Element, ch.javasoft.polco.config.Phase)">getArithmetic</A></B>(org.dom4j.Element&nbsp;config,
                           <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getArithmetic(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getArithmetic</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                           <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolco(org.dom4j.Document)">getPolco</A></B>(org.dom4j.Document&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolco(org.dom4j.Element)">getPolco</A></B>(org.dom4j.Element&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolco(ch.javasoft.xml.config.XmlConfig)">getPolco</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoCallback(ch.javasoft.xml.config.XmlConfig)">getPolcoCallback</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfig(org.dom4j.Document)">getPolcoConfig</A></B>(org.dom4j.Document&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfig(ch.javasoft.xml.config.XmlConfig)">getPolcoConfig</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumeric(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getPolcoConfigNumeric</A></B>(org.dom4j.Document&nbsp;xmlConfig,
                                           <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumeric(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getPolcoConfigNumeric</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                                           <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumericArithmetic(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getPolcoConfigNumericArithmetic</A></B>(org.dom4j.Document&nbsp;xmlConfig,
                                                               <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumericArithmetic(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getPolcoConfigNumericArithmetic</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                                                               <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoExtremeRayEnum(ch.javasoft.xml.config.XmlConfig)">getPolcoExtremeRayEnum</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoParse(ch.javasoft.xml.config.XmlConfig)">getPolcoParse</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getZero(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getZero</A></B>(org.dom4j.Document&nbsp;xmlConfig,
               <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getZero(org.dom4j.Element, ch.javasoft.polco.config.Phase)">getZero</A></B>(org.dom4j.Element&nbsp;config,
               <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getZero(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getZero</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
               <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#initLoggingConfigurationForMatlab(ch.javasoft.xml.config.XmlConfig)">initLoggingConfigurationForMatlab</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes logging for matlab.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#printHelp(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)">printHelp</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                   <A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#printNoArgs(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)">printNoArgs</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                       <A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#printVersion(java.io.PrintStream, ch.javasoft.xml.config.XmlConfig)">printVersion</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                         <A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#resolveXmlConfig(java.lang.String[])">resolveXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Same as <A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#parseXmlConfig(java.lang.String[])"><CODE>PolcoConfig.parseXmlConfig(String[])</CODE></A>, but resolving is forced, and
 potential resolve errors are displayed on the system error stream.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#traceJunitConfig(ch.javasoft.polco.config.Arithmetic, ch.javasoft.util.numeric.Zero, java.lang.String)">traceJunitConfig</A></B>(<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;?,?&gt;&nbsp;arithmetic,
                                 <A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero,
                                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;testName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Traces the polco junit configuration on INFO level using the root logger</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#tracePolcoConfig(java.util.logging.Logger, java.util.logging.Level, ch.javasoft.xml.config.XmlConfig)">tracePolcoConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Logger.html" title="class or interface in java.util.logging">Logger</A>&nbsp;logger,
                                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level,
                                 <A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Traces the polco configuration using the given logger and log level.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.polco.main"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> in <A HREF="../../../../../ch/javasoft/polco/main/package-summary.html">ch.javasoft.polco.main</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/polco/main/package-summary.html">ch.javasoft.polco.main</A> that throw <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/polco/main/Polco.html#Polco(ch.javasoft.xml.config.XmlConfig)">Polco</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new polco instance using the given XML configuration.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.xml.config"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> in <A HREF="../../../../../ch/javasoft/xml/config/package-summary.html">ch.javasoft.xml.config</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subclasses of <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> in <A HREF="../../../../../ch/javasoft/xml/config/package-summary.html">ch.javasoft.xml.config</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/xml/config/MissingReferableException.html" title="class in ch.javasoft.xml.config">MissingReferableException</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <tt>MissingReferableException</tt> is thrown when a referable element
 in the config was referenced, but not declared.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/xml/config/XmlArgException.html" title="class in ch.javasoft.xml.config">XmlArgException</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <tt>XmlArgException</tt> is thrown when an input argument or option
 is missing or of wrong format.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/xml/config/package-summary.html">ch.javasoft.xml.config</A> that throw <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>XmlUtil.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlUtil.html#checkExpectedAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode, java.lang.String)">checkExpectedAttributeValue</A></B>(org.dom4j.Element&nbsp;element,
                                                       <A HREF="../../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute,
                                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;expectedValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check whether the given element has the desired value for a specific
 attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>XmlUtil.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlUtil.html#checkExpectedElementName(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">checkExpectedElementName</A></B>(org.dom4j.Element&nbsp;element,
                                                 <A HREF="../../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;expected)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check whether the given element has the desired name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>XmlUtil.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlUtil.html#getChildElementByAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode, ch.javasoft.xml.config.XmlNode, java.lang.String, boolean)">getChildElementByAttributeValue</A></B>(org.dom4j.Element&nbsp;element,
                                                               <A HREF="../../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;child,
                                                               <A HREF="../../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute,
                                                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;attributeValue,
                                                               boolean&nbsp;throwExceptionIfNull)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the child element of the given type which has the desired 
 attribute value in the given attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;org.dom4j.Element&gt;</CODE></FONT></TD>
<TD><CODE><B>XmlUtil.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlUtil.html#getChildElements(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">getChildElements</A></B>(org.dom4j.Element&nbsp;element,
                                 <A HREF="../../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;childType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a typed iterator for child elements of a certain type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.dom4j.Document</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#getConfigDocument(java.lang.String)">getConfigDocument</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#getConfigElement(java.lang.String)">getConfigElement</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.dom4j.Document</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#getDefaultConfigDocument()">getDefaultConfigDocument</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#getDefaultConfigElement()">getDefaultConfigElement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Properties.html" title="class or interface in java.util">Properties</A></CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#getLoggingProperties()">getLoggingProperties</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the logging properties read from the <tt>logging</tt> element, or
 <code>null</code> if no logging properties found in the xml config.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Properties.html" title="class or interface in java.util">Properties</A></CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#getLoggingProperties(java.lang.String)">getLoggingProperties</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;configName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the logging properties read from the <tt>logging</tt> element, or
 <code>null</code> if no logging properties found in the xml config.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>XmlUtil.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlUtil.html#getOptionalAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode, java.lang.String)">getOptionalAttributeValue</A></B>(org.dom4j.Element&nbsp;element,
                                                   <A HREF="../../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute,
                                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;defaultValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the desired attribute value, or the given default value if no 
 such attribute exists.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>XmlUtil.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlUtil.html#getOptionalSingleChildElement(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">getOptionalSingleChildElement</A></B>(org.dom4j.Element&nbsp;element,
                                                           <A HREF="../../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;child)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the desired single child element, or throws an exception if none
 or multiple are found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;org.dom4j.Element&gt;</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#getReferredElementContent(java.lang.String, java.lang.String)">getReferredElementContent</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>XmlUtil.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlUtil.html#getRequiredAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">getRequiredAttributeValue</A></B>(org.dom4j.Element&nbsp;element,
                                                   <A HREF="../../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the desired attribute value, or throws an exception no such
 attribute exists.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>XmlUtil.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlUtil.html#getRequiredSingleChildElement(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">getRequiredSingleChildElement</A></B>(org.dom4j.Element&nbsp;element,
                                                           <A HREF="../../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;child)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the desired single child element, or throws an exception if none
 or multiple are found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#getResolvedAttributeValue(org.dom4j.Attribute, java.lang.String, java.lang.String)">getResolvedAttributeValue</A></B>(org.dom4j.Attribute&nbsp;att,
                                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
                                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;resolveKey)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#initLogManagerConfiguration()">initLogManagerConfiguration</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes the log manager configuration with logging configuration from
 the the <A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#getDefaultConfigDocument()"><CODE>default config</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#initLogManagerConfiguration(java.lang.String)">initLogManagerConfiguration</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;configName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes the log manager configuration with logging configuration from
 the the specified <A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#getConfigDocument(java.lang.String)"><CODE>config</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>ConstConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/ConstConfigParser.html#parseBooleanConstant(org.dom4j.Element)">parseBooleanConstant</A></B>(org.dom4j.Element&nbsp;constElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A></CODE></FONT></TD>
<TD><CODE><B>StreamConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseConsolePrintStream(org.dom4j.Element)">parseConsolePrintStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>ConstConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/ConstConfigParser.html#parseConstant(java.lang.Class, org.dom4j.Element, boolean)">parseConstant</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;T&gt;&nbsp;type,
                           org.dom4j.Element&nbsp;constElement,
                           boolean&nbsp;allowNull)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;double</CODE></FONT></TD>
<TD><CODE><B>ConstConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/ConstConfigParser.html#parseDoubleConstant(org.dom4j.Element)">parseDoubleConstant</A></B>(org.dom4j.Element&nbsp;constElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A></CODE></FONT></TD>
<TD><CODE><B>FileConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/FileConfigParser.html#parseFile(org.dom4j.Element)">parseFile</A></B>(org.dom4j.Element&nbsp;fileElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a <i>file</i> element with <i>name</i> attribute, i.e.:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FileInputStream.html" title="class or interface in java.io">FileInputStream</A></CODE></FONT></TD>
<TD><CODE><B>StreamConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseFileInputStream(org.dom4j.Element)">parseFileInputStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FileOutputStream.html" title="class or interface in java.io">FileOutputStream</A></CODE></FONT></TD>
<TD><CODE><B>StreamConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseFileOutputStream(org.dom4j.Element)">parseFileOutputStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;float</CODE></FONT></TD>
<TD><CODE><B>ConstConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/ConstConfigParser.html#parseFloatConstant(org.dom4j.Element)">parseFloatConstant</A></B>(org.dom4j.Element&nbsp;constElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A></CODE></FONT></TD>
<TD><CODE><B>StreamConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseInputStream(org.dom4j.Element)">parseInputStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>ConstConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/ConstConfigParser.html#parseIntConstant(org.dom4j.Element)">parseIntConstant</A></B>(org.dom4j.Element&nbsp;constElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A></CODE></FONT></TD>
<TD><CODE><B>StreamConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseLoggerStream(org.dom4j.Element)">parseLoggerStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;long</CODE></FONT></TD>
<TD><CODE><B>ConstConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/ConstConfigParser.html#parseLongConstant(org.dom4j.Element)">parseLongConstant</A></B>(org.dom4j.Element&nbsp;constElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A></CODE></FONT></TD>
<TD><CODE><B>StreamConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseOutputStream(org.dom4j.Element)">parseOutputStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses an output stream of any type, see class comments  
 (stream element can be named differently).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>ConstConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/ConstConfigParser.html#parseStringConstant(org.dom4j.Element, boolean)">parseStringConstant</A></B>(org.dom4j.Element&nbsp;constElement,
                                       boolean&nbsp;allowNull)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A></CODE></FONT></TD>
<TD><CODE><B>URLConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/URLConfigParser.html#parseURL(org.dom4j.Element)">parseURL</A></B>(org.dom4j.Element&nbsp;urlElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A></CODE></FONT></TD>
<TD><CODE><B>StreamConfigParser.</B><B><A HREF="../../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseURLInputStream(org.dom4j.Element)">parseURLInputStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#printUsage(java.io.PrintStream, java.lang.String)">printUsage</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;usageName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>XmlConfig.ResolveKey.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.ResolveKey.html#resolve(org.dom4j.Attribute, java.lang.String, java.lang.String, ch.javasoft.xml.config.XmlConfig)">resolve</A></B>(org.dom4j.Attribute&nbsp;att,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;value,
               <A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;org.dom4j.Element&gt;</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#resolve(org.dom4j.Element, java.lang.String)">resolve</A></B>(org.dom4j.Element&nbsp;element,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;org.dom4j.Element&gt;</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#resolve(java.util.Iterator, java.lang.String)">resolve</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;org.dom4j.Element&gt;&nbsp;elementIterator,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>XmlConfig.</B><B><A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html#resolveAttributeValue(org.dom4j.Attribute, java.lang.String)">resolveAttributeValue</A></B>(org.dom4j.Attribute&nbsp;att,
                                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/xml/config/class-use/XmlConfigException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="XmlConfigException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
